File: INSTALL

package info (click to toggle)
curtain 0.3-1.1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 3,212 kB
  • sloc: sh: 11,552; ansic: 658; makefile: 127
file content (107 lines) | stat: -rw-r--r-- 2,129 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
========================================================
  ###   #     #  #####  #######    #    #       #
   #    ##    # #     #    #      # #   #       #
   #    # #   # #          #     #   #  #       #
   #    #  #  #  #####     #    #     # #       #
   #    #   # #       #    #    ####### #       #
   #    #    ## #     #    #    #     # #       #
  ###   #     #  #####     #    #     # ####### #######
========================================================


----------
 Abstract
----------

This document explains howto build Curtain on GNU/Linux.
If do you want try to build Curtains on other operating system
or architecture please refer to the instruction on the wiki page:
http://code.google.com/p/ardesia/w/list

-------
 Build
-------

The build system uses the autotools

The compilation requires the following packages:

- gcc
- make
- automake
- autoconf
- intltool
- libtool
- libgtk-3-0
- libgtk-3-dev
- libatk1.0-0
- libatk1.0-dev
- libx11-6
- libx11-dev
- libpng12-0
- libpng12-dev
- libglib2.0-0
- libglib2.0-dev
- libgconf2-4
- libgconf2-dev
- libfontconfig1
- libfontconfig1-dev
- libfreetype6
- libfreetype6-dev
- libc6
- libc6-dev
- libxml2-dev
- xdg-utils


If you are using ubuntu you can simply run this command: 

  # sudo apt-get install gcc make automake autoconf intltool libtool libxml2-dev \
    libgtk-3-dev libatk1.0-dev libx11-dev libpng12-dev libglib2.0-dev libgconf2-dev \ 
    libfontconfig1-dev libfreetype6-dev libgsl0-dev libc6-dev xdg-utils

You can compile the tool in the standard way:

  # ./autogen.sh
  # make
  # sudo make install


--------------------------------
 Make the DEBIAN/UBUNTU package
--------------------------------

The build of the deb package has these requirements:

- devscripts

You can simply run this command: 

  # sudo apt-get install devscripts

To build the deb package run:

  # make deb

the deb file curtain_xxx-ubuntu-x_arch.deb
will be created


-------
 Info
-------

  * To get info about the tool, please contact:

      pilolli.pietro@gmail.com

  * To report bugs, please contact:

      pilolli.pietro@gmail.com


Enjoy!

===
EOF
===